Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class OtherName

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.OtherName

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class OtherName
extends ASN1Object

The OtherName object. OtherName ::= SEQUENCE { type-id OBJECT IDENTIFIER, value [0] EXPLICIT ANY DEFINED BY type-id }

Constructor Summary
`OtherName(ASN1ObjectIdentifier typeID, ASN1Encodable value)` Base constructor.

Method Summary
`static OtherName` | `getInstance(java.lang.Object obj)` OtherName factory method.
`ASN1ObjectIdentifier` | `getTypeID()`
`ASN1Encodable` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherName

    public OtherName(ASN1ObjectIdentifier typeID,
                     ASN1Encodable value)

  Base constructor.

Parameters:
  `typeID` - the type of the other name.
  `value` - the ANY object that represents the value.

Method Detail

### getInstance

    public static OtherName getInstance(java.lang.Object obj)

  OtherName factory method.

  Parameters:
    `obj` - the object used to construct an instance of OtherName. It must be an instance of OtherName or ASN1Sequence.
  Returns:
    the instance of OtherName built from the supplied object.
  Throws:
    `java.lang.IllegalArgumentException` - if the object passed to the factory is not an instance of OtherName or something that can be converted into an appropriate ASN1Sequence.

### getTypeID

    public ASN1ObjectIdentifier getTypeID()

### getValue

    public ASN1Encodable getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD